Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
path: root/lib/common.sh
diff options
context:
space:
mode:
Diffstat (limited to 'lib/common.sh')
-rw-r--r--lib/common.sh6
1 files changed, 1 insertions, 5 deletions
diff --git a/lib/common.sh b/lib/common.sh
index bb46f6c..9ea9681 100644
--- a/lib/common.sh
+++ b/lib/common.sh
@@ -6,9 +6,7 @@
# License: Unspecified
-shopt -s extglob
-
-if [[ -z ${_INCLUDE_COMMON_SH:-} ]]; then
+[[ -z ${_INCLUDE_COMMON_SH:-} ]] || return 0
_INCLUDE_COMMON_SH=true
[[ -n ${TEXTDOMAIN:-} ]] || export TEXTDOMAIN='libretools'
@@ -295,5 +293,3 @@ check_root() {
exec su root -c "$(printf ' %q' "$@")"
fi
}
-
-fi